[Settings]
; 0, no log
; 1, debug mode, this will log input/output data information 
; 2, detail mode, this will log detail infomation for debug channel based on debug mode
LogMode = 0

;use memory pool flag, default value is 1
UseMempool =1
;above is common for SOCKET and UART

;COM input/output queue size, default value is 4096 (4K)
CommQueueSize = 4096

;SOCKET receive buffer size, default value is 2048 (2K)
MaxRcvSize = 2048

;SOCKET client connect timeout,, default value is 500ms
ConnectTimeout = 1000

[CommTimeouts]
;this configure is for COM(UART)
;Default values as below if you don't set these values
ReadIntervalTimeout          = 0xFFFFFFFF
ReadTotalTimeoutMultiplier   = 0
ReadTotalTimeoutConstant     = 0
WriteTotalTimeoutMultiplier  = 1
WriteTotalTimeoutConstant    = 1000

;ReadIntervalTimeout          = 5
;ReadTotalTimeoutMultiplier   = 1
;ReadTotalTimeoutConstant     = 80
;WriteTotalTimeoutMultiplier  = 1
;WriteTotalTimeoutConstant    = 0

;[CommState]
;-1, keep original value
;fDtrControl=0
;fRtsControl=-1
;fOutX=0
;fInX=0
;fOutxCtsFlow=0
;fOutxDsrFlow=0
;fTXContinueOnXoff=0
